aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Pages: 1 [2] 3

Author Topic: amule crash  (Read 9241 times)

btkaos

  • Global Moderator
  • Sr. Member
  • *****
  • Karma: 110
  • Offline Offline
  • Posts: 486
  • Kaos is infinite!
Re: amule crash
« Reply #15 on: March 20, 2011, 03:06:03 AM »

Symon, you need to run amule under gdb (and with debug enabled) in order to see what is going on.
Logged

SymonHate

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 12
Re: amule crash
« Reply #16 on: June 03, 2011, 12:39:14 AM »

here i built a new SVN with new wxwidgets and now the crash happens almost after 5min of running. Also if someone could pls guide me to some thread where it is explained how i have to install the programs that would help you with getting more detailed crash report... thank you

Symon

Code: [Select]
Terminated after throwing an instance of 'std::bad_alloc'
        what(): std::bad_alloc
        aMule Version: aMule SVN compiled with wxGTK2 v2.9.1 (Snapshot: rev. 10573)

Terminated after throwing an instance of 'std::bad_alloc'
        what(): std::bad_alloc
        aMule Version: aMule SVN compiled with wxGTK2 v2.9.1 (Snapshot: rev. 10573)

Terminated after throwing an instance of 'std::bad_alloc'
        what(): std::bad_alloc
        backtrace:
[2] ?? in amule[0x809220d]
[3] ?? in /usr/lib/libwx_baseu-2.9.so.1[0x4c19a41]
[4] ?? in /lib/libpthread.so.0[0xdd3cc9]
[5] clone in /lib/libc.so.6[0xb4569e]

        backtrace:
[2] ?? in amule[0x809220d]
[3] ?? in /usr/lib/libwx_baseu-2.9.so.1[0x4c19a41]
[4] ?? in /lib/libpthread.so.0[0xdd3cc9]
[5] clone in /lib/libc.so.6[0xb4569e]
Logged

btkaos

  • Global Moderator
  • Sr. Member
  • *****
  • Karma: 110
  • Offline Offline
  • Posts: 486
  • Kaos is infinite!
Re: amule crash
« Reply #17 on: June 03, 2011, 01:16:43 AM »

here i built a new SVN with new wxwidgets and now the crash happens almost after 5min of running. Also if someone could pls guide me to some thread where it is explained how i have to install the programs that would help you with getting more detailed crash report... thank you
First make sure that you are running against wx 2.8.12. Once you know that, run "gdb amule" and type r.

Once it crashes type bt and post the output here. Given that you seem to have an out of memory condition, you may have to watch amule or use some script to stop it once it eats too much memory.
Logged

SymonHate

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 12
Re: amule crash
« Reply #18 on: June 04, 2011, 05:03:21 AM »

ok this is the gdb + bt command:

Code: [Select]
[Thread 0xa7fedb70 (LWP 2780) exited]
[Thread 0xa67eab70 (LWP 2781) exited]
[Thread 0xa39ffb70 (LWP 2782) exited]
[Thread 0xa87eeb70 (LWP 2765) exited]
[Thread 0xa77ecb70 (LWP 2776) exited]

Terminated after throwing an instance of 'std::bad_alloc'
        what(): std::bad_alloc
* Could not get symbol names for backtrace
        backtrace:


Program received signal SIGABRT, Aborted.
0x0012e416 in __kernel_vsyscall ()
(gdb) bt
#0  0x0012e416 in __kernel_vsyscall ()
#1  0x010ac941 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x010afe42 in abort () at abort.c:92
#3  0x0830157d in OnUnhandledException() ()
#4  0x01000f35 in ?? () from /usr/lib/libstdc++.so.6
#5  0x01000f72 in std::terminate() () from /usr/lib/libstdc++.so.6
#6  0x010010e1 in __cxa_throw () from /usr/lib/libstdc++.so.6
#7  0x01001677 in operator new(unsigned int) () from /usr/lib/libstdc++.so.6
#8  0x00c8c5f9 in wxSocketEvent::Clone() const ()
   from /usr/lib/libwx_baseu_net-2.9.so.1
#9  0x0808276f in wxEvtHandler::AddPendingEvent(wxEvent const&) ()
#10 0x00c881dd in wxSocketBase::OnRequest(wxSocketNotify) ()
   from /usr/lib/libwx_baseu_net-2.9.so.1
#11 0x00c882a7 in wxSocketImpl::NotifyOnStateChange(wxSocketNotify) ()
   from /usr/lib/libwx_baseu_net-2.9.so.1
#12 0x00c93a6c in wxSocketImplUnix::OnStateChange(wxSocketNotify) ()
   from /usr/lib/libwx_baseu_net-2.9.so.1
#13 0x00c93d00 in wxSocketImplUnix::OnWriteWaiting() ()
   from /usr/lib/libwx_baseu_net-2.9.so.1
#14 0x00865807 in wxSocket_GDK_Input () from /usr/lib/libwx_gtk2u_core-2.9.so.1
#15 0x015cae62 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#16 0x01973e9b in ?? () from /lib/libglib-2.0.so.0
#17 0x0192c855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#18 0x01930668 in ?? () from /lib/libglib-2.0.so.0
#19 0x01930ba7 in g_main_loop_run () from /lib/libglib-2.0.so.0
#20 0x0130e1d9 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x0085a716 in wxGUIEventLoop::Run() ()
   from /usr/lib/libwx_gtk2u_core-2.9.so.1
#22 0x00cf190c in wxAppConsoleBase::MainLoop() ()
   from /usr/lib/libwx_baseu-2.9.so.1
#23 0x00ced7c4 in wxAppConsoleBase::OnRun() ()
   from /usr/lib/libwx_baseu-2.9.so.1
#24 0x0092d780 in wxAppBase::OnRun() () from /usr/lib/libwx_gtk2u_core-2.9.so.1
#25 0x00d99303 in wxEntry(int&, wchar_t**) ()
   from /usr/lib/libwx_baseu-2.9.so.1
#26 0x00d993b7 in wxEntry(int&, char**) () from /usr/lib/libwx_baseu-2.9.so.1
#27 0x08198b5b in main ()



hope it helps.... btw, im having problems deinstalling the 2.9.1 wxwidgets and replacing them with 2.8.12.... are u sure this has sth to do with wxwidgets?
and also...what kind of script should i  use...and how do i use it at all? before with SVN 10444 it never did this to me  - and i only DL 600 files, max. connections = 300, max. files = 200, and no file is bigger than 300 MB, majority is around 10-50 MB.

The truth is however that everything is going through my LINKEDSYS W....GL router and all my temp+income fiels are on WD My Book World II disk not local one... but still - till now this was not the problem.... when i upgraded SVN from 10444 t o10573 and wxwidgets from 2.8.11 to 2.9.1 and kernel .24 to .29 and im still using maverick kubuntu 10.10... then it started ...the problems... never now aMule is alive for more than 5-10m inutes... help...


s
y
m
o
n



symon
Logged

SymonHate

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 12
Re: amule crash
« Reply #19 on: June 04, 2011, 06:04:52 AM »

ok i deinstalled aMule 10573 AND wxwidgets 2.9.1

and installed aMule 10577 AND wxwidgets 2.8.12

now i get this error :-(

Code: [Select]
GNU gdb (GDB) 7.2-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/local/bin/amule...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/local/bin/amule
/usr/local/bin/amule: error while loading shared libraries: libwx_gtk2u_adv-2.9.so.1: cannot open shared object file: No such file or directory

Program exited with code 0177.
(gdb)

... shall i reinstall amule? or wx widgets... or..am..?

s.
Logged

SymonHate

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 12
Re: amule crash
« Reply #20 on: June 04, 2011, 06:33:21 AM »

ok... now it says

amule: error while loading shared libraries: libwx_gtk2u_adv-2.8.so.0: cannot open shared object file: No such file or directory


ok... so i type "locate libwx_gtk2u_adv-2.8.so.0"

and i get:

~$ locate libwx_gtk2u_adv-2.8.so.0
/usr/lib/libwx_gtk2u_adv-2.8.so.0
/usr/lib/libwx_gtk2u_adv-2.8.so.0.7.0



ok i found this thread:

http://www.amule.org/amule/index.php?topic=11967.0


the problem is now this:

i type:

sudo echo "/usr/lib" >> /etc/ld.so.conf

and i get:

bash: /etc/ld.so.conf: Permission denied


:( now amule doesnt even want to start.....

sy.
Logged

btkaos

  • Global Moderator
  • Sr. Member
  • *****
  • Karma: 110
  • Offline Offline
  • Posts: 486
  • Kaos is infinite!
Re: amule crash
« Reply #21 on: June 04, 2011, 08:19:55 AM »

Yes, wx 2.8.12 should fix your problem. wx 2.9 is not supported atm.

Uh, you just installed things in /usr, bad idea. Best way is to compile wx in some directory and then use ld_library path. You have to compile amule against wx 2.8.12

If you feel like it, you can also compile amule statically, see the wiki.

Logged

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3764
  • Engines screaming
Re: amule crash
« Reply #22 on: June 04, 2011, 03:13:00 PM »

wx 2.9 is not supported atm.
Well, it is supported, but it is experimental.

Quote
Best way is to compile wx in some directory and then use ld_library path.
No, use --with-wxdir to configure aMule.
Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

SymonHate

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 12
Re: amule crash
« Reply #23 on: June 04, 2011, 11:34:35 PM »

thank you so much for your answers...


please forgive me but i have no idea what i have to do now...

first uninstall amule... how?
then uninstall wxwidgets... how?

then again installl wxwidgets? how? in what way so that they will be installed correctly

and then again install amule.... how? so it will be installed correctly?


im sorry... but i didnt know i installed anything in /usr/... i jsut did what the instructions told me in amule wiki


----------------------------------------
for wxwidgets:
unpack the file in home/name/downloads dir... then go to that dir and use

sudo ./configure --prefix=/usr --with-gtk --enable-unicode --disable-compat24 --enable-optimise

then


sudo make

then

sudo make install

then

sudo ldconfig

------------------------------
and for amule:

unpack the file in home/name/downloads dir... then go to that dir and use

sudo ./configure --enable-debug --enable-optimize

then

sudo make

then

sudo make install

then

sudo ldconfig


.... thats it



...and then this error..and some /usr/ ...i idnt speciffy where it should be installed...it didnt say in instructions i should... and...for linux..im not so... ... expert..

thank you
symon
Logged

btkaos

  • Global Moderator
  • Sr. Member
  • *****
  • Karma: 110
  • Offline Offline
  • Posts: 486
  • Kaos is infinite!
Re: amule crash
« Reply #24 on: June 05, 2011, 11:25:09 AM »

wx 2.9 is not supported atm.
Well, it is supported, but it is experimental.
Well, it has similar crashes to pre-2.8.12 wx, so better for users to stay away ATM.
Logged

btkaos

  • Global Moderator
  • Sr. Member
  • *****
  • Karma: 110
  • Offline Offline
  • Posts: 486
  • Kaos is infinite!
Re: amule crash
« Reply #25 on: June 05, 2011, 11:26:35 AM »

Logged

SymonHate

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 12
Re: amule crash
« Reply #26 on: June 05, 2011, 02:03:15 PM »

i tried to do everything that ... was in this instructions-.--and this is what i get:


Code: [Select]
xyz@avatar:~/aMule/bin$ amule
amule: error while loading shared libraries: libwx_gtk2u_adv-2.8.so.0: cannot open shared object file: No such file or directory


:(((
Logged

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3764
  • Engines screaming
Re: amule crash
« Reply #27 on: June 05, 2011, 02:30:20 PM »

Try ./amule .
Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

jrk

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
Re: amule crash
« Reply #28 on: June 18, 2011, 02:12:25 PM »

I'm using Ubuntu 10.04 with standard kernel 2.6.32-31-generic.

I have two aMule versions installed: 2.2.6 from repository and 2.3.1 rc1 compiled by me.  I renamed binary from /usr/local/bin/amule to /usr/local/bin/amule-2.3.1-rc1 to distinguish it from /usr/bin/amule from repository. I share ~/.aMule directory between two aMule versions (not at the same time of course). When my family switch on the computer they use amuled 2.2.6 started by boot scripts. When I use computer I run sudo service amule-daemon stop ; amule-2.3.1-rc1.

aMule 2.2.6 was crashing about twice a week (actually it was killed by OOM Killer).

aMule 2.3.1 rc1 crashed first time. I was doing nothing in aMule, I had it minimized to GNOME Notification Area Applet.

Code: [Select]
--------------------------------------------------------------------------------
A fatal error has occurred and aMule has crashed.
Please assist us in fixing this problem by posting the backtrace below in our
'aMule Crashes' forum and include as much information as possible regarding the
circumstances of this crash. The forum is located here:
    http://forum.amule.org/index.php?board=67.0
If possible, please try to generate a real backtrace of this crash:
    http://wiki.amule.org/index.php/Backtraces

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMule SVN compiled with wxGTK2 v2.8.10
Running on: Linux 2.6.32-31-generic i686

[2] CamuleApp::OnFatalException() in amule.cpp:1020
[3] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.8.so.0[0x247a56]
[4] ?? in [0x6d8400]
[5] pthread_mutex_lock in /lib/tls/i686/cmov/libpthread.so.0[0x9d2f2d]
[6] ?? in /lib/libglib-2.0.so.0[0x977c2d7]
[7] g_source_remove in /lib/libglib-2.0.so.0[0x977e95c]
[8] gdk_input_remove in /usr/lib/libgdk-x11-2.0.so.0[0x6fb18d]
[9] GSocketGUIFunctionsTableConcrete::Uninstall_Callback(GSocket*, GSocketEvent) in /usr/lib/libwx_gtk2u_core-2.8.so.0[0x10b5067]
[10] GSocket::Disable(GSocketEvent) in /usr/lib/libwx_baseu_net-2.8.so.0[0x1527bd]
[11] GSocket::Detected_Write() in /usr/lib/libwx_baseu_net-2.8.so.0[0x154ac0]
[12] ?? in /usr/lib/libwx_gtk2u_core-2.8.so.0[0x10b4eb7]
[13] ?? in /usr/lib/libgdk-x11-2.0.so.0[0x6fb32c]
[14] ?? in /lib/libglib-2.0.so.0[0x97c0efb]
[15] g_main_context_dispatch in /lib/libglib-2.0.so.0[0x977c5e5]
[16] ?? in /lib/libglib-2.0.so.0[0x97802d8]
[17] g_main_loop_run in /lib/libglib-2.0.so.0[0x9780817]
[18] gtk_main in /usr/lib/libgtk-x11-2.0.so.0[0x552d3c9]
[19] wxEventLoop::Run() in /usr/lib/libwx_gtk2u_core-2.8.so.0[0x10b3708]
[20] wxAppBase::MainLoop() in /usr/lib/libwx_gtk2u_core-2.8.so.0[0x11464de]
[21] wxAppBase::OnRun() in /usr/lib/libwx_gtk2u_core-2.8.so.0[0x11460d1]
[22] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.8.so.0[0x1de79a]
[23] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.8.so.0[0x1de977]
[24] main in amule-gui.cpp:93
[25] __libc_start_main in /lib/tls/i686/cmov/libc.so.6[0x3fdbd6]
[26] _start in :0


--------------------------------------------------------------------------------
zsh: abort      amule-2.3.1-rc1

I think it isn't very useful because I don't use latest wxWidgets 2.8.12.
Logged

btkaos

  • Global Moderator
  • Sr. Member
  • *****
  • Karma: 110
  • Offline Offline
  • Posts: 486
  • Kaos is infinite!
Re: amule crash
« Reply #29 on: June 19, 2011, 12:56:19 PM »

Indeed jrk your crash should be solved if you update to 2.8.12
Logged
Pages: 1 [2] 3